# -*- coding: utf-8 -*-
"""
    Custom GDB command for reading ARMv8-A Core L1 Cache contents.

 Copyright 2025 NXP

 NXP Confidential and Proprietary. This software is owned or controlled by NXP
 and may only be used strictly in accordance with the applicable license terms.
 By expressly accepting such terms or by downloading, installing, activating
 and/or otherwise using the software, you are agreeing that you have read, and
 that you agree to comply with and are bound by, such license terms. If you do
 not agree to be bound by the applicable license terms, then you may not retain,
 install, activate or otherwise use the software.
"""
import sys
import gdb  # @UnresolvedImport  # pylint: disable=F0401
import os

CURRENT_DIR = "".join([os.path.dirname(os.path.realpath(__file__)), "/"])
sys.path.insert(0, CURRENT_DIR)
sys.path.insert(0, CURRENT_DIR + "/../../utils")

from cache_read_command import CacheRead

def create_commands():
    """Create GDB commands."""
    CacheRead()
